copilot-prettyprinter-4.8: A prettyprinter of Copilot Specifications.

Safe Haskell | Safe
Language | Haskell2010

Copilot.PrettyPrint

Description

A pretty printer for Copilot specifications.

Synopsis

- prettyPrint :: Spec -> String
- ppExpr :: Expr a -> Doc

# Documentation

prettyPrint :: Spec -> String Source #

Pretty-print a Copilot specification.

ppExpr :: Expr a -> Doc Source #

Pretty-print a Copilot expression.

The type is ignored, and only the expression is pretty-printed.